org.bouncycastle.asn1.cmp

## Class PKIMessages

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.cmp.PKIMessages

All Implemented Interfaces:
  DEREncodable

    public class PKIMessages
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Method Summary

Methods
`static PKIMessages` `getInstance(java.lang.Object o)`
`DERObject` `toASN1Object()` PKIMessages ::= SEQUENCE SIZE (1..MAX) OF PKIMessage
`PKIMessage[]` `toPKIMessageArray()`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static PKIMessages getInstance(java.lang.Object o)

#### toPKIMessageArray

    public PKIMessage[] toPKIMessageArray()

#### toASN1Object

    public DERObject toASN1Object()

     PKIMessages ::= SEQUENCE SIZE (1..MAX) OF PKIMessage

Specified by:
  `toASN1Object` in class `ASN1Encodable`
Returns:
  a basic ASN.1 object representation.